### Struct

# WebKit SecurityOrigin

since: 2.16

#### Description [src]

    struct WebKitSecurityOrigin {
      /* No available fields */
    }

A security boundary for websites.

`WebKitSecurityOrigin` is a representation of a security domain defined by websites. A security origin consists of a protocol, a hostname, and an optional port number.

Resources with the same security origin can generally access each other for client-side scripting or database access. When comparing origins, beware that if both protocol and host are `NULL`, the origins should not be treated as equal.

Available since: 2.16

#### Constructors

###### webkit_security_origin_new

Create a new security origin from the provided protocol, host and port.

since: 2.16

###### webkit_security_origin_new_for_uri

Create a new security origin from the provided.

since: 2.16

#### Instance methods

###### webkit_security_origin_get_host

Gets the hostname of `origin`.

since: 2.16

###### webkit_security_origin_get_port

Gets the port of `origin`.

since: 2.16

###### webkit_security_origin_get_protocol

Gets the protocol of `origin`.

since: 2.16

###### webkit_security_origin_is_opaque

This function returns `FALSE`.

deprecated: 2.32 since: 2.16

###### webkit_security_origin_ref

Atomically increments the reference count of `origin` by one.

since: 2.16

###### webkit_security_origin_to_string

Gets a string representation of `origin`.

since: 2.16

###### webkit_security_origin_unref

Atomically decrements the reference count of `origin` by one.

since: 2.16